Skip to main content
GET
Get the logged-in customer's profile
Requires a valid portal session token obtained via magic link authentication.

Example Request

Response

The portal session token is passed as a Bearer token in the Authorization header. If the session has expired, a 401 error is returned and the customer must re-authenticate via magic link.

Authorizations

portal_session
string
cookie
required

Customer-portal session cookie issued by GET /portal/auth/verify.

Response

The customer profile.

id
string<uuid>
tenant_id
string<uuid>
email
string<email>
name
string | null
phone
string
tax_id
string | null
billing_address
object
ledger_account_id
string<uuid>
gstin
string | null
tax_type
string
place_of_supply
string | null
tax_exempt
boolean
tax_exemption_number
string
tax_exemption_code
string
tax_exemption_expires_at
string<date> | null
referral_code
string | null
risk_score
integer
Required range: 0 <= x <= 100
risk_factors
object | null
card_brand
string
card_last4
string
card_exp_month
integer
card_exp_year
integer
card_token_id
string
card_fingerprint
string
created_at
string<date-time>